<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmBatchCreateFolderFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmBatchCreateFolderFlag Enumeration

Visual Basic
C#
C++/CLI
Flags used by IEdmBatchAddFolders::Create.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmBatchCreateFolderFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmBatchCreateFolderFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmBatchCreateFolderFlag : public System.Enum

# Members

Member | Description
--- | ---
Ebcf_Nothing | 0 = Default behavior
Ebcf_RenameExistingRoots | 1 = If this flag is specified, and one of the folders added with IEdmBatchAddFolders::AddFolder already exists in the file vault, the folder is added and renamed to "Copy of Xxxx", where "Xxxx" is the original name. If this flag is not set, the original folder is returned.

# See Also

####

EPDM.Interop.epdm Namespace